Name:       gnubiff
Version:    2.2.13
Release:    2%{?dist}
Summary:    A mail notification program

Group:      Applications/Internet
License:    GPLv3+
URL:        http://gnubiff.sourceforge.net/
Source0:    http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libstdc++-devel
BuildRequires:	gamin-devel
BuildRequires:	gnome-panel-devel
BuildRequires:	libglade2-devel
BuildRequires:	openssl-devel
BuildRequires:	perl-XML-Parser

BuildRequires:	intltool
BuildRequires:	desktop-file-utils

Requires:	        sox
Requires(post):	    info
Requires(preun):    info


%description
Gnubiff is a mail notification program that checks for mail, displays headers
when new mail has arrived and allow to read first lines of new messages.
Supported protocols are POP3, APOP, IMAP4, MH, Qmail and Mail File.


%prep
%setup -q


%build
%configure --disable-rpath --with-password-string 
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
rm -rf %{buildroot}%{_infodir}/dir
desktop-file-install                                    \
    --dir=%{buildroot}%{_datadir}/applications          \
    %{buildroot}%{_datadir}/applications/%{name}.desktop
%find_lang %{name}


%post 
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun 
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/%{name}.info \
  %{_infodir}/dir >/dev/null 2>&1 || :
fi


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING LICENSE NEWS README THANKS TODO
%{_infodir}/%{name}.info*
%{_mandir}/man*/%{name}*.*
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/gnome-2.0/ui/GNOME_gnubiffApplet.xml
%{_libdir}/bonobo/servers/GNOME_gnubiffApplet.server


%changelog
* Mon Mar 15 2010 Fabian Affolter <fabian@bernewireless.net> - 2.2.13-2
- Added BR intltool 

* Tue Feb 20 2010 Fabian Affolter <fabian@bernewireless.net> - 2.2.13-1
- Removed patch
- Removed .desktop and use the upstream one
- Updated to new upstream version 2.2.13

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 2.2.11-2
- rebuilt with new openssl

* Tue Jul 26 2009 Fabian Affolter <fabian@bernewireless.net> - 2.2.11-1
- License is GPLv3+ and not GPLv2+
- Spec file cleaned up
- Updated to new upstream version 2.2.11

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 04 2009 Caolán McNamara <caolanm@redhat.com> - 2.2.10-3
- rebuild for dependencies

* Fri Jan 16 2009 Tomas Mraz <tmraz@redhat.com> - 2.2.10-2
- rebuild with new openssl

* Thu Nov 27 2008 Debarshi Ray <rishi@fedoraproject.org> - 2.2.10-1
- Version bump to 2.2.10. Closes Red Hat Bugzilla bug #464012.
- Added 'Requires: sox'.
- Fixed directory ownership issues.

* Thu Jul 24 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.2.7-5
- fix license tag

* Tue Feb 19 2008 Release Engineering <rel-eng@fedoraproject.org> - 2.2.7-4
- Autorebuild for gcc-4.3.

* Fri Dec 06 2007 Release Engineering <rel-eng@fedoraproject.org> - 2.2.7-3
- Rebuild for deps.

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 2.2.7-2
- Rebuild for selinux ppc32 issue.

* Sun Jul 15 2007 Damien Durand <splinux@fedoraproject.org> - 2.2.7-1
- Updade to 2.2.7

* Sat Mar 10 2007 Damien Durand <splinux@fedoraproject.org> - 2.2.6-1
- Updade to 2.2.6

* Sat Mar 10 2007 Damien Durand <splinux@fedoraproject.org> - 2.2.5-3
- Bumped

* Sat Mar 03 2007 Damien Durand <splinux@fedoraproject.org> - 2.2.5-2
- Bumped

* Sat Mar 03 2007 Damien Durand <splinux@fedoraproject.org> - 2.2.5-1
- Upgrade to 2.2.5

* Sat Dec 16 2006 Damien Durand <splinux@fedoraproject.org> - 2.2.4-1
- Upgrade to 2.2.4

* Sun Nov 04 2006 Damien Durand <splinux@fedoraproject.org> - 2.2.3-1
- Upgrade to 2.2.3

* Sun Oct 15 2006 Damien Durand <splinux@fedoraproject.org> - 2.2.2-4
- Add perl-XML-Parser in BR

* Thu Oct 13 2006 Damien Durand <splinux@fedoraproject.org> - 2.2.2-3
- Bump Release

* Mon Aug 28 2006 Damien Durand <splinux@fedoraproject.org> - 2.2.2-2
- Bump Release

* Wed Aug 09 2006 Damien Durand <splinux@fedoraproject.org> - 2.2.2-1
- Upgrade to 2.2.2

* Wed Apr 24 2006 Damien Durand <splinux@fedoraproject.org> - 2.2.1-2
- Remove prefix='pkg-config libpanelapplet-2.0 openssl variable=prefix
- Remove ABOUT-NLS and Changelog in file section
- Fix datadir/info to infodir

* Tue Apr 23 2006 Damien Durand <splinux@fedoraproject.org> - 2.2.1-1
- Upgrade to 2.2.1
- Add prefix='pkg-config libpanelapplet-2.0 openssl variable=prefix in configure section
- Add gnome-panel-devel, openssl-devel in BuildRequires

* Sun Apr 21 2006 Damien Durand <splinux@fedoraproject.org> - 2.2.0-2
- Add gettext-devel, remove gtk-devel in BuildRequires
- Add datadir/info/*.info.gz in files section
- Add post and preun sections

* Wed Apr 19 2006 Damien Durand <splinux@fedoraproject.org> - 2.2.0-1
- Initial package
